Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Mar 2021 21:48:57 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: Pip Cet <[email-masked]>, [email-masked]
> Date: Sun, 14 Mar 2021 19:00:26 +0000
> 
> > Andrea, is it possible to have debug level 1 produce only the debug
> > info within the generated code, and leave the pseudo-code dump for
> > higher levels?  If you don't have time to implement this yourself, can
> > you instruct me what changes need to be made?  I'd like to try
> > recompiling everything with debug level 1 and see if that helps with
> > the backtraces.
> 
> Sure that's very easy (the attached should do the job), is this
> something you'd like to have a local modification or a change in the
> branch?

I don't know yet.

> If the case is the second before I'd just like to understand why the
> Windows toolchain needs debug symbols for function names and if this is
> a bug or the expected behavior.
> 
> IME this was never the case on systems I've worked on and this is why I
> though having debug symbols and dump pseudo C code together in the same
> debug level made sense, essentially to allow stepping.

I'm not yet sure there's something special on MS-Windows in this
regard.  After Pip's last patch I see much fewer "??" in the
backtraces, and when they appear, there's something else wrong with
the backtrace as a whole, for example it ends prematurely, before it
gets all the way to 'main'.  I don't yet understand why that happens,
but it doesn't happen right away, the first backtraces I see are
completely normal.  My current observation is that the backtraces
begin to show abnormalities as soon as Isearch calls sit-for (to show
the lazy-highlight of matches).  Before that, I see no "??"
whatsoever.

Let me try the patch you sent and see what I think about its effects.